Package Details: thonny 3.1.2-1

Git Clone URL: https://aur.archlinux.org/thonny.git (read-only)
Package Base: thonny
Description: Python IDE for beginners.
Upstream URL: http://thonny.cs.ut.ee/
Licenses: MIT
Submitter: TheChickenMan
Maintainer: TheChickenMan
Last Packager: TheChickenMan
Votes: 11
Popularity: 1.786006
First Submitted: 2016-09-02 22:12
Last Updated: 2019-02-18 00:09

Latest Comments

TheChickenMan commented on 2018-11-22 18:04

@D_Schwartfeger Good catch on mypy. I checked that it built last update but didn't do any scripting. Could you be more specific with what you mean with the SSL mod? I did not have any issue with the latest version.

InvisibleRasta commented on 2018-11-21 16:56

i updated it for myself to version 3.08. http://dpaste.com/21CMDBV

D_Schwartfeger commented on 2018-11-15 02:09

also I had to modify the startup script for tools > manage packages to work as it looks in the wrong place for ssl certificates.

D_Schwartfeger commented on 2018-11-14 22:03

Seems to need mypy package. Would give an error running any script without. Maybe you should add it to dependencies.

ulke commented on 2018-10-07 06:48

404 error again; b5 in the download URL has to be changed to b6.

abarbarian commented on 2018-07-27 23:14

curl: (22) The requested URL returned error: 404 ==> ERROR: Failure while downloading https://bitbucket.org/plas/thonny/downloads/thonny-2.2.0b2-x86_64.tar.gz Aborting... :: failed to verify integrity or prepare thonny package

I get this when I try to install, 27-07-2018. ;-(

I think the problem is that "ob2" has changed to "ob4" as in ,

https://bitbucket.org/plas/thonny/downloads/thonny-2.2.0b4-x86_64.tar.gz

;-)

TheChickenMan commented on 2018-06-03 23:04

Updated to fix

jose1711 commented on 2018-06-03 20:58

conflicts with python-distro 1.3.0-1: thonny: /usr/lib/python3.6/site-packages/distro.py exists in filesystem (owned by python-distro)